#This file is part of the account_voucher_ar module for Tryton.
#The COPYRIGHT file at the top level of this repository contains
#the full copyright notices and license terms.
from trytond.pool import Pool
from .voucher import *
from .account import *
from .configuration import *
from .invoice import *


def register():
    Pool.register(
        VoucherPayMode,
        Voucher,
        VoucherLine,
        SelectLinesAsk,
        Move,
        VoucherConfiguration,
        VoucherSequence,
        Note,
        NoteLine,
        AdvancePaymentAsk,
        module='account_voucher', type_='model')
    Pool.register(
        SelectLines,
        AdvancePayment,
        module='account_voucher', type_='wizard')
    Pool.register(
        VoucherReport,
        NoteReport,
        ChecksReport,
        module='account_voucher', type_='report')
